org.modeshape.jcr

## Class JcrRepository.RepositorySessionEnvironment

- java.lang.Object
- - org.modeshape.jcr.JcrRepository.RepositorySessionEnvironment

- All Implemented Interfaces:
    SessionEnvironment
  Enclosing class:
    JcrRepository

      protected static class JcrRepository.RepositorySessionEnvironment
      extends Object
      implements SessionEnvironment

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.modeshape.jcr.cache.SessionEnvironment

      `SessionEnvironment.Monitor, SessionEnvironment.MonitorFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrRepository.RepositorySessionEnvironment(Transactions transactions)`
    `protected` | `JcrRepository.RepositorySessionEnvironment(Transactions transactions, String journalId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionalWorkspaceCaches` | `getTransactionalWorkspaceCacheFactory()` Get the factory used to obtain the transactional workspace caches.
    `Transactions` | `getTransactions()` Get the interface for working with transactions.
    `String` | `journalId()` Returns the id of the repository's `ChangeJournal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcrRepository.RepositorySessionEnvironment

          protected JcrRepository.RepositorySessionEnvironment(Transactions transactions)

    - #### JcrRepository.RepositorySessionEnvironment

          protected JcrRepository.RepositorySessionEnvironment(Transactions transactions,
                                                    String journalId)

  - ### Method Detail

    - #### getTransactions

          public Transactions getTransactions()

      Description copied from interface: `SessionEnvironment`
      Get the interface for working with transactions.
      Specified by:
        `getTransactions` in interface `SessionEnvironment`
      Returns:
        the transactions object

    - #### getTransactionalWorkspaceCacheFactory

          public TransactionalWorkspaceCaches getTransactionalWorkspaceCacheFactory()

      Description copied from interface: `SessionEnvironment`
      Get the factory used to obtain the transactional workspace caches.
      Specified by:
        `getTransactionalWorkspaceCacheFactory` in interface `SessionEnvironment`
      Returns:
        the factory; never null

    - #### journalId

          public String journalId()

      Description copied from interface: `SessionEnvironment`
      Returns the id of the repository's `ChangeJournal`
      Specified by:
        `journalId` in interface `SessionEnvironment`
      Returns:
        either a `String` or `null` if no journal is configured.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.